org.apache.hc.client5.http.entity.mime

## Class Header

- java.lang.Object
- - org.apache.hc.client5.http.entity.mime.Header

All Implemented Interfaces:
  Iterable<MimeField>

    public class Header
    extends Object
    implements Iterable<MimeField>

The header of a MIME entity.

### Constructor Summary

Constructors
Constructor and Description
`Header()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addField(MimeField field)`
`MimeField` `getField(String name)`
`List<MimeField>` `getFields()`
`List<MimeField>` `getFields(String name)`
`Iterator<MimeField>` `iterator()`
`int` `removeFields(String name)`
`void` `setField(MimeField field)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### Header

    public Header()

### Method Detail

#### addField

    public void addField(MimeField field)

#### getFields

    public List<MimeField> getFields()

#### getField

    public MimeField getField(String name)

#### getFields

    public List<MimeField> getFields(String name)

#### removeFields

    public int removeFields(String name)

#### setField

    public void setField(MimeField field)

#### iterator

    public Iterator<MimeField> iterator()

Specified by:
  `iterator` in interface `Iterable<MimeField>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`